### NAME

Tcl_SignalId, Tcl_SignalMsg - Convert signal codes

### SYNOPSIS

#include <tcl8.4/tcl.h>
char *
Tcl_SignalId(sig)
char *
Tcl_SignalMsg(sig)

### ARGUMENTS

int sig (in)
  A POSIX signal number such as SIGPIPE.

### DESCRIPTION

Tcl_SignalId and Tcl_SignalMsg return a string representation of the provided signal number (sig). Tcl_SignalId returns a machine-readable textual identifier such as "SIGPIPE". Tcl_SignalMsg returns a human-readable string such as "bus error". The strings returned by these functions are statically allocated and the caller must not free or modify them.

### KEYWORDS

signals, signal numbers

    Copyright © 2001 ActiveState Tool Corp.
    Copyright © 1995-1997 Roger E. Critchlow Jr.